<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];
$giatridoi = $_GET['giatridoi'];    $giatridoi = abs(intval($giatridoi));
$character = $_GET['character'];
$pass2 = $_GET['pass2'];

switch ($action){ 
	case 'gcoin2wcoin':
		if(empty($giatridoi)) {
            echo '<font color="red"><b>Chưa nhập giá trị đổi.</b></font>';
		}
		elseif (empty($pass2))
		{
			echo "<font color='red'><b>Chưa nhập mật khẩu web</b></font>";
		}
		else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'giatridoi'    =>  $giatridoi,
                'pass2'   =>  $pass2,
                
				'pagesv'	=>	'sv_tiente_gcoin2wcoin',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo $reponse;
					$_SESSION['acc_gcoin'] = $info[2];
					$_SESSION['acc_wcoin'] = $info[3];
            	} else echo $reponse;
            }
        }
	break;
	case 'gcoin2vipmoney':
		if(empty($giatridoi)) {
            echo '<font color="red"><b>Chưa nhập giá trị đổi.</b></font>';
		}
		elseif (empty($pass2))
		{
			echo "<font color='red'><b>Chưa nhập mật khẩu web</b></font>";
		}
		else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'giatridoi'    =>  $giatridoi,
                'pass2'   =>  $pass2,
                
				'pagesv'	=>	'sv_tiente_gcoin2vipmoney',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo $reponse;
					$_SESSION['acc_gcoin'] = $info[2];
					$_SESSION['acc_vipmoney'] = $info[3];
            	} else echo $reponse;
            }
        }
	break;
	case 'gcoin2vpoint':
		if(empty($giatridoi)) {
            echo '<font color="red"><b>Chưa nhập giá trị đổi.</b></font>';
		}
		elseif (empty($pass2))
		{
			echo "<font color='red'><b>Chưa nhập mật khẩu web</b></font>";
		}
		else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'giatridoi'    =>  $giatridoi,
                'pass2'   =>  $pass2,
                
				'pagesv'	=>	'sv_tiente_gcoin2vpoint',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo $reponse;
					$_SESSION['acc_gcoin'] = $info[2];
					$_SESSION['acc_vpoint'] = $info[3];
            	} else echo $reponse;
            }
        }
	break;
	case 'gcoin2goblincoin':
		if(empty($giatridoi)) {
            echo '<font color="red"><b>Chưa nhập giá trị đổi.</b></font>';
		}
		elseif (empty($pass2))
		{
			echo "<font color='red'><b>Chưa nhập mật khẩu web</b></font>";
		}
		else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'giatridoi'    =>  $giatridoi,
                'pass2'   =>  $pass2,
                
				'pagesv'	=>	'sv_tiente_gcoin2goblincoin',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo $reponse;
					$_SESSION['acc_gcoin'] = $info[2];
					$_SESSION['acc_goblincoin'] = $info[3];
            	} else echo $reponse;
            }
        }
	break;
	case 'gcoin2wcoinp':
		if(empty($giatridoi)) {
            echo '<font color="red"><b>Chưa nhập giá trị đổi.</b></font>';
		}
		elseif (empty($pass2))
		{
			echo "<font color='red'><b>Chưa nhập mật khẩu web</b></font>";
		}
		else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'giatridoi'    =>  $giatridoi,
                'pass2'   =>  $pass2,
                
				'pagesv'	=>	'sv_tiente_gcoin2wcoinp',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo $reponse;
					$_SESSION['acc_gcoin'] = $info[2];
					$_SESSION['acc_wcoinp'] = $info[3];
            	} else echo $reponse;
            }
        }
	break;
	case 'gcoin2pcpoint':
		if(empty($giatridoi)) {
            echo '<font color="red"><b>Chưa nhập giá trị đổi.</b></font>';
		}
		elseif (empty($character))
		{
			echo "<font color='red'><b>Chưa chọn nhân vật muốn đổi</b></font>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $character))
		{
			echo "<font color='red'><b>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</b></font>";
		}
		elseif (empty($pass2))
		{
			echo "<font color='red'><b>Chưa nhập mật khẩu web</b></font>";
		}
		else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'giatridoi'    =>  $giatridoi,
                'pass2'   =>  $pass2,
                'name'   =>  $_SESSION['mu_nvchon'],
                
				'pagesv'	=>	'sv_tiente_gcoin2pcpoint',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo $reponse;
					$_SESSION['acc_gcoin'] = $info[2];
					$_SESSION['nv_pcpoint'] = $info[3];
            	} else echo $reponse;
            }
        }
	break;
	case 'wcoin2gcoin':
		if(empty($giatridoi)) {
            echo '<font color="red"><b>Chưa nhập giá trị đổi.</b></font>';
		}
		elseif (empty($pass2))
		{
			echo "<font color='red'><b>Chưa nhập mật khẩu web</b></font>";
		}
		else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'giatridoi'    =>  $giatridoi,
                'pass2'   =>  $pass2,
                
				'pagesv'	=>	'sv_tiente_wcoin2gcoin',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo $reponse;
					$_SESSION['acc_gcoin'] = $info[2];
					$_SESSION['acc_wcoin'] = $info[3];
            	} else echo $reponse;
            }
        }
	break;
}
?>